Patch ScheduleJob

Update Schedule Job

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request example for Python or PySpark

curl --location --request PATCH 'https://api.liveramp.com/analytics-environment/v1/schedule-jobs/${jobId}' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${access_tooken}' \
--data '{
  "name": "test1",
  "description": "test1",
  "dataprocVersion": "dataproc2.1",
  "mainFile": "gs://lranalytics-eu-123456-cert-awob-coderepo/testFolder01/111.py",
   "pyFiles": [
    "gs://lranalytics-eu-123456-cert-awob-coderepo/1.py"
  ],
  "enabled": true,
  "jobArgs": "",
  "additionalPackages": "",
  "onetimeJob": false,
  "startDate": "",
  "frequency": "25 0 * * 4",
}'

Request example for disabling a BigQuery job

curl --location --request PATCH 'https://api-staging.liveramp.com/analytics-environment/v1/schedule-jobs/${jobId}' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${access_tooken}' \
--data '{
    "enabled":false
}'

Request example for changing a BigQuery job's frequency and job owner

curl --location --request PATCH 'https://api-staging.liveramp.com/analytics-environment/v1/schedule-jobs/${jobId}' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${access_tooken}' \
--data '{
    "bigqueryFrequency": "every day at 06:00 UTC",
    "jobOwner": "[email protected]"
}'
Path Params
int32
required

job id

Body Params
string

type of job resource:(Small|Medium|Large|X-Large|XX-Large)

string

Scheduled job type. Only support PySpark and Python

string

job name

string

description for this job

string

Code file to run in scheduled job. Can get files by calling Get Multiple BlobTrees api.

string

cron expression. Example: 25 0 * * 2

boolean

Whether onetime job

string

time zone

string

args for job execution,Example: Arg1,Arg2,Arg3 ...

pyFiles
array of strings

Additional files for schedule jobs. Can get files by calling Get Multiple BlobTrees api.

pyFiles
string

The version of Python being used. Default value is version "3.8". Versions "3.10" and "3.11" can also be used.

boolean

Default value is True. If set up to false, will disable the job.

string

the python packages the job depends on. Only need when jobType value is Python. Example: pandas==0.23.0 scipy==1.1.0

string

Only required when job is onetimeJob. Example: 2023-12-06 00:00:00

string

Dataproc imager version. Can get it by calling Get dataproc image versions api. Only required when jobType value is PySpark

Headers
string
required
Responses
200

ScheduleJob patched successfully

Language
LoadingLoading…
Response
Choose an example:
application/json